Tealwing (PVE Mercenary) Error

    • Tealwing (PVE Mercenary) Error

      Hello,

      So I get the following error when I try to use the Tealwing merc:

      "DeckValidator.cs --- INTERNAL ERROR
      Object Reference not set to an instance of an object"

      No deck manipulation could clear this error. I removed all AAs and AAAs. I removed all equipment. I removed all cards. I created a 61 shard deck. Nothing.

      I removed the merc. I restarted Hex. I did everything I could think of and nothing worked.

      This has only appeared since the Siege patch. I can no longer play my favourite merc due to this bug =(

      See attached image.
      Images
      • Tealwing Error.JPG

        47.48 kB, 285×758, viewed 123 times
    • I was having the same error, found a fix (after chatting with a helpful mod for a while), thought you'd like to know.

      Load up Tealwing. Select "Load From Deck Template", but don't select a deck, cancel out. That should give you a fresh deck without the broken card in it. Then you can just make a new deck, being sure not to use the broken card. For safety, you might want to then hit "Load From Deck Template" again, and hit the red X on any old versions of the deck to make sure you don't accidentally load them again.